Skip to main content
GET
/
v0
/
topics
/
{topic_id}
/
entries
List topic entries
curl --request GET \
  --url https://api.tryarchitect.com/v0/topics/{topic_id}/entries \
  --header 'x-api-key: <api-key>'
{
  "hasMore": true,
  "items": [
    {
      "topicEntryId": "<string>",
      "topicId": "<string>",
      "sortOrder": 123,
      "content": {
        "type": "<string>",
        "content": "<string>"
      },
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "totalCount": 4503599627370495
}

Authorizations

x-api-key
string
header
required

API key authentication for the External Actor Gateway

Path Parameters

topic_id
string
required

topic_id parameter

Query Parameters

cursor
string

cursor parameter

limit
number

limit parameter

Response

Successful operation

hasMore
boolean
required
items
object[]
required
nextCursor
string | null
required
totalCount
integer
required
Required range: 0 <= x <= 9007199254740991